Package org.eclipse.lemminx.client

## Interface IXMLSettingFeature

All Known Implementing Classes:
  `LimitFeature`, `PathFeature`

    public interface IXMLSettingFeature

Features that are associated with a particuliar settingId

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Returns a displayable name for this feature
`String` `getSettingId()` Returns the related settingId for this feature

### Method Detail

#### getName

    String getName()

Returns a displayable name for this feature

Returns:
  a displayable name for this feature

#### getSettingId

    String getSettingId()

Returns the related settingId for this feature

Returns:
  the related settingId for this feature